Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.textarea
Interface StatusListener

All Superinterfaces:
  java.util.EventListener

    public interface StatusListener

extends java.util.EventListener

Fired when the text area needs to display a status message.

Since:
  jEdit 4.3pre2

Field Summary
`static int` | `MULTI_SELECT_CHANGED`
`static int` | `OVERWRITE_CHANGED`
`static int` | `RECT_SELECT_CHANGED`

Method Summary
`void` | `bracketSelected(TextArea textArea, int line, java.lang.String text)`
`void` | `narrowActive(TextArea textArea)`
`void` | `statusChanged(TextArea textArea, int flag, boolean value)`

Field Detail

### OVERWRITE_CHANGED

    static final int OVERWRITE_CHANGED

See Also:
  Constant Field Values

### MULTI_SELECT_CHANGED

    static final int MULTI_SELECT_CHANGED

See Also:
  Constant Field Values

### RECT_SELECT_CHANGED

    static final int RECT_SELECT_CHANGED

See Also:
  Constant Field Values

Method Detail

### statusChanged

    void statusChanged(TextArea textArea,
                       int flag,
                       boolean value)

### bracketSelected

    void bracketSelected(TextArea textArea,
                         int line,
                         java.lang.String text)

### narrowActive

    void narrowActive(TextArea textArea)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD